import request from '@/utils/request'

// 查询节假日列表
export function listHolidays(query) {
  return request({
    url: '/system/holidays/list',
    method: 'get',
    params: query
  })
}

// 查询节假日详细
export function getHolidays(id) {
  return request({
    url: '/system/holidays/' + id,
    method: 'get'
  })
}

// 新增节假日
export function addHolidays(data) {
  return request({
    url: '/system/holidays',
    method: 'post',
    data: data
  })
}

// 修改节假日
export function updateHolidays(data) {
  return request({
    url: '/system/holidays',
    method: 'put',
    data: data
  })
}

// 删除节假日
export function delHolidays(id) {
  return request({
    url: '/system/holidays/' + id,
    method: 'delete'
  })
}

// 获取节假日列表
export function getByYear(year) {
  return request({
    url: `/system/holidays/getByYear/${year}`
  })
}

// 同步节假日
export function syncToYearHolidays(year) {
  return request(({
    url: `/system/holidays/syncToYearHolidays/${year}`
  }))
}
